Closed Bug 872591 Opened 9 years ago Closed 9 years ago

Socorro is missing new Nightly and Aurora versions of 2013-05-13 week

Categories

(Socorro :: General, task)

task
Not set
critical

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: kairo, Unassigned)

References

Details

As of this week, new Nightly and Aurora versions have been built for multiple products but Socorro is still missing them. The builds should have appeared on FTP yesterday (Tuesday), but as of today, none of those versions show up on crash-stats prod.

Affected versions (at least):
Firefox 24.0a1
Firefox 23.0a2
FennecAndroid 24.0a1
FennecAndroid 23.0a2
Thunderbird 24.0a1
Thunderbird 23.0a2
B2G 24.0a1 (that might rely on a different bug, though)

In addition, the product depending on those FTP-scraping-wise should also have those versions (MetroFirefox, and the webapp runtimes, but on the latter there's also bug 829590 in general).


This is critical as we should collect data on Nightly already and early data on manually installed Aurora versions (where updates will only be enabled when QA has been done *and* we will have looked at this early data).
The underlying problem is bug 869564, which is causing crontabber to not run jobs past 5/7/13.

Scheduling a test build and merging to stage now. This patch should go out this afternoon during our regular push to prod.
Depends on: 869564
Backfill is underway for the ftpscraper. Once it is complete, we can run the backfill for 5/14/13.
The versions have been there since yesterday. We never did get data for Tuesday, but the longer the week runs, the less relevant it becomes anyhow.
breakpad=# select backfill_matviews('2013-05-14', '2013-05-14'); 
INFO:  backfilling reports_clean
INFO:  backfilling 06:00:00 of reports_clean starting at 2013-05-14 00:00:00+00
CONTEXT:  SQL statement "SELECT backfill_reports_clean( first_rc, last_rc )"
PL/pgSQL function backfill_matviews(date,date,boolean) line 53 at PERFORM
INFO:  backfilling 06:00:00 of reports_clean starting at 2013-05-14 06:00:00+00
CONTEXT:  SQL statement "SELECT backfill_reports_clean( first_rc, last_rc )"
PL/pgSQL function backfill_matviews(date,date,boolean) line 53 at PERFORM
INFO:  backfilling 06:00:00 of reports_clean starting at 2013-05-14 12:00:00+00
CONTEXT:  SQL statement "SELECT backfill_reports_clean( first_rc, last_rc )"
PL/pgSQL function backfill_matviews(date,date,boolean) line 53 at PERFORM
INFO:  backfilling 06:00:00 of reports_clean starting at 2013-05-14 18:00:00+00
CONTEXT:  SQL statement "SELECT backfill_reports_clean( first_rc, last_rc )"
PL/pgSQL function backfill_matviews(date,date,boolean) line 53 at PERFORM
INFO:  backfilling other matviews for 2013-05-14
INFO:  adu
INFO:  signatures
INFO:  tcbs
NOTICE:  table "new_tcbs" does not exist, skipping
CONTEXT:  SQL statement "DROP TABLE IF EXISTS new_tcbs"
PL/pgSQL function backfill_matviews(date,date,boolean) line 67 at SQL statement
INFO:  crashes by user
INFO:  home page graph
INFO:  hang report (slow)
INFO:  nightly builds
INFO:  rank_compare
INFO:  explosiveness (slow)
INFO:  correlations
 backfill_matviews 
-------------------
 t
(1 row)

Time: 4041728.986 ms
breakpad=# \q
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.